<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.ss.usermodel.Workbook (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.ss.usermodel.Workbook (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/Workbook.html" target="_top">Frames</a>
        </li>
        <li><a href="Workbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.ss.usermodel.Workbook" class="title">Uses of Interface<br>org.apache.poi.ss.usermodel.Workbook
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.crypt.temp">org.apache.poi.poifs.crypt.temp</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.eval.forked">org.apache.poi.ss.formula.eval.forked</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.util">org.apache.poi.ss.util</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.util">org.apache.poi.util</a></td>
                    <td class="colLast">
                        <div class="block">Top-level util package are classes that are useful throughout the project.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a> in <a
                            href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">InternalWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/InternalWorkbook.html#linkExternalWorkbook-java.lang.String-org.apache.poi.ss.usermodel.Workbook-">linkExternalWorkbook</a></span>(java.lang.String&nbsp;name,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;externalWorkbook)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></span></code>
                                <div class="block">High level representation of a workbook.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html#evaluateAllFormulaCells-org.apache.poi.ss.usermodel.Workbook-">evaluateAllFormulaCells</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb)</code>
                                <div class="block">Loops over all cells in all sheets of the supplied
                                    workbook.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCellStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html#getDataFormatString-org.apache.poi.ss.usermodel.Workbook-">getDataFormatString</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;workbook)</code>
                                <div class="block">Get the contents of the format string, by looking up
                                    the DataFormat against the supplied workbook
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFFont</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCellStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html#getFont-org.apache.poi.ss.usermodel.Workbook-">getFont</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;parentWorkbook)</code>
                                <div class="block">gets the font for this style</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#linkExternalWorkbook-java.lang.String-org.apache.poi.ss.usermodel.Workbook-">linkExternalWorkbook</a></span>(java.lang.String&nbsp;name,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;workbook)</code>
                                <div class="block">Adds the LinkTable records required to allow formulas referencing
                                    the specified external workbook to be added to this one.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.poifs.crypt.temp">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a> in <a
                            href="../../../../../../org/apache/poi/poifs/crypt/temp/package-summary.html">org.apache.poi.poifs.crypt.temp</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/poifs/crypt/temp/package-summary.html">org.apache.poi.poifs.crypt.temp</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/poifs/crypt/temp/SXSSFWorkbookWithCustomZipEntrySource.html"
                                    title="class in org.apache.poi.poifs.crypt.temp">SXSSFWorkbookWithCustomZipEntrySource</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateAllFormulaCells-org.apache.poi.ss.usermodel.Workbook-">evaluateAllFormulaCells</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb)</code>
                                <div class="block">Loops over all cells in all sheets of the supplied
                                    workbook.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateAllFormulaCells-org.apache.poi.ss.usermodel.Workbook-org.apache.poi.ss.usermodel.FormulaEvaluator-">evaluateAllFormulaCells</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                   title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&nbsp;evaluator)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/ConditionalFormattingEvaluator.html#ConditionalFormattingEvaluator-org.apache.poi.ss.usermodel.Workbook-org.apache.poi.ss.formula.WorkbookEvaluatorProvider-">ConditionalFormattingEvaluator</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb,
                                <a href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html"
                                   title="interface in org.apache.poi.ss.formula">WorkbookEvaluatorProvider</a>&nbsp;provider)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.html#DataValidationEvaluator-org.apache.poi.ss.usermodel.Workbook-org.apache.poi.ss.formula.WorkbookEvaluatorProvider-">DataValidationEvaluator</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb,
                                <a href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html"
                                   title="interface in org.apache.poi.ss.formula">WorkbookEvaluatorProvider</a>&nbsp;provider)</code>
                                <div class="block">Use the same formula evaluation context used for other operations, so
                                    cell value
                                    changes are automatically noticed
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula.eval.forked">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/forked/package-summary.html">org.apache.poi.ss.formula.eval.forked</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/eval/forked/package-summary.html">org.apache.poi.ss.formula.eval.forked</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ForkedEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/eval/forked/ForkedEvaluator.html#copyUpdatedCells-org.apache.poi.ss.usermodel.Workbook-">copyUpdatedCells</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;workbook)</code>
                                <div class="block">Copies the values of all updated cells (modified by calls to <a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/forked/ForkedEvaluator.html#updateCell-java.lang.String-int-int-org.apache.poi.ss.formula.eval.ValueEval-"><code>ForkedEvaluator.updateCell(String,
                                    int, int, ValueEval)</code></a>) to the supplied <tt>workbook</tt>.<br>
                                    Typically, the supplied <tt>workbook</tt> is a writable copy of the 'master
                                    workbook',
                                    but at the very least it must contain sheets with the same names.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/eval/forked/ForkedEvaluator.html"
                                    title="class in org.apache.poi.ss.formula.eval.forked">ForkedEvaluator</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">ForkedEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/eval/forked/ForkedEvaluator.html#create-org.apache.poi.ss.usermodel.Workbook-org.apache.poi.ss.formula.IStabilityClassifier-org.apache.poi.ss.formula.udf.UDFFinder-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb,
                                <a href="../../../../../../org/apache/poi/ss/formula/IStabilityClassifier.html"
                                   title="interface in org.apache.poi.ss.formula">IStabilityClassifier</a>&nbsp;stabilityClassifier,
                                <a href="../../../../../../org/apache/poi/ss/formula/udf/UDFFinder.html"
                                   title="interface in org.apache.poi.ss.formula.udf">UDFFinder</a>&nbsp;udfFinder)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-boolean-">create</a></span>(boolean&nbsp;xssf)</code>
                                <div class="block">Create a new empty Workbook, either XSSF or HSSF depending
                                    on the parameter
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-org.apache.poi.poifs.filesystem.DirectoryNode-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                    title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;root)</code>
                                <div class="block">Creates a Workbook from the given NPOIFSFileSystem.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-org.apache.poi.poifs.filesystem.DirectoryNode-java.lang.String-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                    title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;root,
                                java.lang.String&nbsp;password)</code>
                                <div class="block">Creates a Workbook from the given NPOIFSFileSystem, which may
                                    be password protected
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.io.File-">create</a></span>(java.io.File&nbsp;file)</code>
                                <div class="block">Creates the appropriate HSSFWorkbook / XSSFWorkbook from
                                    the given File, which must exist and be readable.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.io.File-java.lang.String-">create</a></span>(java.io.File&nbsp;file,
                                java.lang.String&nbsp;password)</code>
                                <div class="block">Creates the appropriate HSSFWorkbook / XSSFWorkbook from
                                    the given File, which must exist and be readable, and
                                    may be password protected
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.io.File-java.lang.String-boolean-">create</a></span>(java.io.File&nbsp;file,
                                java.lang.String&nbsp;password,
                                boolean&nbsp;readOnly)</code>
                                <div class="block">Creates the appropriate HSSFWorkbook / XSSFWorkbook from
                                    the given File, which must exist and be readable, and
                                    may be password protected
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.io.InputStream-">create</a></span>(java.io.InputStream&nbsp;inp)</code>
                                <div class="block">Creates the appropriate HSSFWorkbook / XSSFWorkbook from
                                    the given InputStream.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.io.InputStream-java.lang.String-">create</a></span>(java.io.InputStream&nbsp;inp,
                                java.lang.String&nbsp;password)</code>
                                <div class="block">Creates the appropriate HSSFWorkbook / XSSFWorkbook from
                                    the given InputStream, which may be password protected.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.lang.Object-">create</a></span>(java.lang.Object&nbsp;pkg)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span
                                            class="deprecationComment">use XSSFWorkbookFactory.create</span></div>
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-org.apache.poi.poifs.filesystem.POIFSFileSystem-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                    title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>
                                <div class="block">Creates a HSSFWorkbook from the given NPOIFSFileSystem</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Sheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html#getWorkbook--">getWorkbook</a></span>()</code>
                                <div class="block">Return the parent workbook</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">Workbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html#linkExternalWorkbook-java.lang.String-org.apache.poi.ss.usermodel.Workbook-">linkExternalWorkbook</a></span>(java.lang.String&nbsp;name,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;workbook)</code>
                                <div class="block">Adds the linking required to allow formulas referencing
                                    the specified external workbook to be added to this one.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a> in <a
                            href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static int</code></td>
                            <td class="colLast"><span class="typeNameLabel">SheetUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/SheetUtil.html#getDefaultCharWidth-org.apache.poi.ss.usermodel.Workbook-">getDefaultCharWidth</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb)</code>
                                <div class="block">Get default character width using the Workbook's default font</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/SheetBuilder.html#SheetBuilder-org.apache.poi.ss.usermodel.Workbook-java.lang.Object:A:A-">SheetBuilder</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;workbook,
                                java.lang.Object[][]&nbsp;cells)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a> in <a
                            href="../../../../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">IOUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/util/IOUtils.html#write-org.apache.poi.ss.usermodel.Workbook-java.io.OutputStream-">write</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;doc,
                                java.io.OutputStream&nbsp;out)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">since 4.0, use try-with-resources, will be removed in 4.2</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">IOUtils.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/util/IOUtils.html#writeAndClose-org.apache.poi.ss.usermodel.Workbook-java.io.OutputStream-">writeAndClose</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;doc,
                                java.io.OutputStream&nbsp;out)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">since 4.0, use try-with-resources, will be removed in 4.2</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.streaming">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a> in <a
                            href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html"
                                    title="class in org.apache.poi.xssf.streaming">SXSSFWorkbook</a></span></code>
                                <div class="block">Streaming version of XSSFWorkbook implementing the "BigGridDemo"
                                    strategy.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html#linkExternalWorkbook-java.lang.String-org.apache.poi.ss.usermodel.Workbook-">linkExternalWorkbook</a></span>(java.lang.String&nbsp;name,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;workbook)</code>
                                <div class="block"><i>Not implemented for SXSSFWorkbook</i>

                                    Adds the LinkTable records required to allow formulas referencing
                                    the specified external workbook to be added to this one.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a></span></code>
                                <div class="block">High level representation of a SpreadsheetML workbook.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                title="interface in org.apache.poi.ss.usermodel">Workbook</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFPivotCacheDefinition.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheDefinition.html#getPivotArea-org.apache.poi.ss.usermodel.Workbook-">getPivotArea</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb)</code>
                                <div class="block">Find the 2D base data area for the pivot table, either from its
                                    direct reference or named table/range.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html#linkExternalWorkbook-java.lang.String-org.apache.poi.ss.usermodel.Workbook-">linkExternalWorkbook</a></span>(java.lang.String&nbsp;name,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                   title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;workbook)</code>
                                <div class="block">Adds the External Link Table part and relations required to allow
                                    formulas
                                    referencing the specified external workbook to be added to this one.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/Workbook.html" target="_top">Frames</a>
        </li>
        <li><a href="Workbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
